Moodle
  1. Moodle
  2. MDL-34099

Moodle is misreporting 'your moodle code is up to date'

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Minor Minor
    • Resolution: Fixed
    • Affects Version/s: 2.3
    • Fix Version/s: 2.4
    • Component/s: Administration
    • Labels:
    • Affected Branches:
      MOODLE_23_STABLE
    • Fixed Branches:
      MOODLE_24_STABLE
    • Rank:
      42408

      Description

      1. I have one outdated contrib plugin (repository_skydrive - you can test this by downloading and downgrading version number manually).
      2. I got to admin page and check for updates
      3. moodle says 'Your code is up to date'
      4. If I go to the plugins page it says there is one contrib update available, but thats not easily visible

      Expected result
      ---------------
      Moodle says 'Your Moodle code is up to date, there is one plugin update avaialble' (or something like that

        Issue Links

          Activity

          Hide
          Dan Poltawski added a comment -

          Assigning to David.

          Show
          Dan Poltawski added a comment - Assigning to David.
          Hide
          David Mudrak added a comment -

          The attached screenshot-1.png illustrates how the section looks if there is a plugin update available.

          The message 'Your Moodle code is up-to-date' is now displayed if and only if there is neither core nor a plugin update available.

          Show
          David Mudrak added a comment - The attached screenshot-1.png illustrates how the section looks if there is a plugin update available. The message 'Your Moodle code is up-to-date' is now displayed if and only if there is neither core nor a plugin update available.
          Hide
          David Mudrak added a comment -

          This change is part of my MDL-35238 branch now.

          Show
          David Mudrak added a comment - This change is part of my MDL-35238 branch now.
          Hide
          David Mudrak added a comment -

          For the record, I am attaching the commit that implements this. This can't be backported to STABLE branches as it changes the admin renderer API.

          Show
          David Mudrak added a comment - For the record, I am attaching the commit that implements this. This can't be backported to STABLE branches as it changes the admin renderer API.
          Hide
          David Mudrak added a comment -

          This should be closed once it is integrated as a part of MDL-35238. Leaving open until then.

          Show
          David Mudrak added a comment - This should be closed once it is integrated as a part of MDL-35238 . Leaving open until then.
          Hide
          Dan Bennett added a comment -

          Similar issue I'm having on MDL-36332 (Sorry - Missed this tracker issue before posting!). Except mine is with Moodle code itself, too.

          Show
          Dan Bennett added a comment - Similar issue I'm having on MDL-36332 (Sorry - Missed this tracker issue before posting!). Except mine is with Moodle code itself, too.
          Hide
          David Mudrak added a comment -

          This is fixed now in 2.4. Can somebody please test and close this?

          Show
          David Mudrak added a comment - This is fixed now in 2.4. Can somebody please test and close this?

            People

            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: